Moody’s strongly recommends that Risk Modeler and UnderwriteIQ tenants use the Platform APIs instead of the Risk Modeler APIs for all future projects. See Migrate to Plaform APIs.

Get results by account

Returns analysis results for the specified account.

The q and sort query parameters enable you to filter or sort results data using the following attributes: id, name, description, runDate, dataSource, exposureType, engineName, typeName, engineVersion, rdmName, currency, peril, subperilName, region, userName.

Path Params
int32
required
≥ 1

ID number of the account.

Query Params
string
required

Name of the EDM.

string

Filters query results by evaluating the value of expressions. Supports four types of operators:

  • Comparison: q=[attribute][comparison operator][value] e.g. id=100, id!=100, id>100
  • Logical: q=[expression][logical operator][expression] e.g. id=100 AND name="xyz" , id=100 OR type="abc"
  • List: q=[attribute][list operator][values list] e.g. id IN (1,2,3], name NOT IN ("abc","xyz")
  • Matching: q=[attribute][comparison operator][pattern], e.g. name LIKE "abc " , type NOT LIKE " xyz* "
    To learn more, see Filter Exposure Data.
string

Sort order of records returned. One of ASC (ascending) or DESC (descending).

int32

Number of records returned.

int32

Number of records offset before the first record returned. By default, 0.

string

Name of principal that ran the analysis.

string

Date that the analysis was run.

Responses

Language
Credentials
URL
LoadingLoading…
Response
Choose an example:
application/json